//
//  DashboardView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI
import JellyfinKit

struct DashboardView: View {
  @State var showingSettingsSheet: Bool = false
  
  var body: some View {
    ScrollView {
      LazyVStack {
        Section {
          NavigationStack {
            DashboardLibraryView()
          }
        } header: {
          DashboardSectionTitleView("Libraries")
        }
        
        Section {
          NavigationStack {
            DashboardLibraryView()
          }
        } header: {
          DashboardSectionTitleView("Next up")
        }
      }
      .padding()
    }
    .navigationTitle("Home")
    .toolbar {
      ToolbarItem(placement: .topBarTrailing) {
        Button {
          showingSettingsSheet.toggle()
        } label: {
          Label("Settings", systemImage: "gear")
        }
      }
    }
    .sheet(isPresented: $showingSettingsSheet) {
      SettingsView(showingSettingsView: $showingSettingsSheet)
    }
  }
}

//#Preview {
//  DashboardView()
//}
